Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.json
Class JSONMap

    java.lang.Object
      java.util.AbstractMap
          org.richfaces.json.JSONMap

All Implemented Interfaces:
  java.io.Serializable, java.util.Map

    public class JSONMap

extends java.util.AbstractMap
implements java.io.Serializable

Author:
  Nick Belaevski - nbelaevski@exadel.com created 15.12.2006
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`JSONMap()`
`JSONMap(JSONObject object)`
`JSONMap(java.lang.String jsonString)`

Method Summary
`java.util.Set` | `entrySet()`
`java.lang.String` | `getString()`
`java.lang.String` | `getString(int indentFactor)`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, equals, get, hashCode, isEmpty, keySet, putAll, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JSONMap

    public JSONMap()
            throws JSONException

Throws:
  `JSONException`

### JSONMap

    public JSONMap(JSONObject object)

### JSONMap

    public JSONMap(java.lang.String jsonString)
            throws JSONException

Throws:
  `JSONException`

Method Detail

### entrySet

    public java.util.Set entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map`
  Specified by:
    `entrySet` in class `java.util.AbstractMap`

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map`
  Overrides:
    `put` in class `java.util.AbstractMap`

### getString

    public java.lang.String getString()
                               throws JSONException

  Throws:
    `JSONException`

### getString

    public java.lang.String getString(int indentFactor)
                               throws JSONException

  Throws:
    `JSONException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.